/*
 * Copyright (C) 2014 Yahoo Inc.
 */

/**
 * An object which controls the auto save logic
 */
var autoSaveController = {
    composeContentNode: null,

    /**
     * A method which starts the autoSaveController
     */
    init: function(composeContentNode) {
        this.composeContentNode = composeContentNode;
        this.composeContentNode.addEventListener("input", this.handleInput.bind(this), false);
    },

    /**
     * A method which handles input events on the compose content and saves the content back to native Java code
     */
    handleInput: function(event) {
        syncComposeContent(this.composeContentNode, false);
    }
}
